local rem = require('regexp/pcre')
local http = require('protocol/http')

http.install_tcp_rule(80)

local regexp = rem.re:compile('</head>', rem.re.CASE_INSENSITIVE)

local file = io.open("ponies.js")
local js = file:read('*all')
file:close()


haka.rule{
	hook = http.events.response_data,
	options = {
		streamed = true,
	},
	eval = function (flow, iter)
		local res = regexp:match(iter, true)
		if res then
			res:pos('begin'):insert(haka.vbuffer_from(js))
		end
	end
}

haka.rule {
	hook = http.events.request,
	eval = function (http, request)
		debug.pprint(request.headers)
		request.headers['Accept'] = '*/*'
		request.headers['Accept-Encoding'] = nil
		request.headers['If-Modified-Since'] = nil
		request.headers['If-None-Match'] = nil
	end
}

haka.rule {
	hook = http.events.response,
	eval = function (http, response)
		http:enable_data_modification()
	end
}
